FaceSign
REST API Reference

Create a client secret

Generate a new client secret for the specified session

GET
/sessions/{sessionId}/refresh

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use format "Bearer sk_prod_..." or "Bearer sk_test_..."

In: header

Path Parameters

sessionId*string

The session ID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.facesign.ai/sessions/string/refresh"
{
  "secret": "string",
  "createdAt": 0,
  "expireAt": 0,
  "url": "string"
}
{
  "error": {
    "type": "authentication_error",
    "message": "Invalid API key provided"
  }
}
{
  "error": {
    "type": "not_found_error",
    "message": "Session not found"
  }
}
{
  "error": {
    "type": "rate_limit_error",
    "message": "Rate limit exceeded"
  }
}